Öffnen von Portfolio Performance


#1

Hallo
Hätte da mal eine Frage. Ich habe Portfolio Performance herunter geladen und habe auch ein Portfolio erstellt und auch gespeichert. Nach einem Tag wollte ich dann das Portfolio wieder öffnen, allerdings bekomme ich dann diese Fehlermeldung angezeigt:

The PortfolioPerformance executable launcher was unable to locate its companion shared library.

Da ich leider in Sachen Technik ein absoluter nichts könner bin würde ich mich freuen falls ihr mir weiter helfen könnt.

Liebe Grüße


Fehler beim Start: The executable launcher was unable to locate its companion shared library.
#2

Mir ist nich ganz klar was das hervorrufen kann. Es liegt an dem Eclipse Framework. Laut diesem StackOverflow Beitrag kann es

  • ein nicht korrekt ausgepackte Installation sein
  • die Pfadlänge zu tief sein
  • oder das Programm muss mit administrativen Rechten gestartet werden.

Wichtig ist, dass die Dateistruktur nicht geändert wird. Relative zu dem EXE werden weitere Java Bibliotheken gesucht und geladen.

Wenn Du das aktuelle Update 0.26.0 eingespielt haben solltest, dann haben einige Benutzer berichtet, dass der erste Neustart nicht korrekt funktioniert. Der zweite aber schon. Also noch mal probieren? Zur Not noch neu runterladen und auspacken. Deine XML Datei funktioniert ja weiter.


#3

Hallo,

Ich bin durch die Forum-Suchfunktion hier gelandet und schliesse mich mal an den alten Thread an, vielleicht lässt sich Licht in das Dunkel bringen. Mir ist nämlich eben die gleiche Fehlermeldung begegnet. Und ich habe noch keine Lösung gefunden, aber:

Anscheinend steht das Problem im Zusammenhang mit Java. Ich habe PortfolioPerformance heute (zunächst erfolgreich) gestartet, kurz danach poppte die Info auf daß eine neue Java-Version zum Download zur Verfügung stünde. Heruntergeladen, installiert, und prompt meldet PortfolioPerformance den o.a. Fehler statt zu starten.

Ich habe schon einen Teil der PP-Dateien neu ausgepackt und damit die alten ersetzt (Verzeichnisse plugins, p2, features, und die Programm- und die Konfigurationsdatei), ohne Erfolg - die Fehlermeldung bleibt die gleiche. Ich wäre dankbar für einen Lösungstip…

Viele Grüße, Michael


#4

Falls noch jemand das Problem bekommt: Deinstallation von Java, Neustart, Reinstallation von Java, und kompletter Neudownload von PP in das gleiche Verzeichnis wie vorher hat es bei mir gelöst.


#5

:confused:

Aber trotzdem Danke für die Geduld! Hast Du die alte (online aktualisierte) Version noch irgendwo auf der Platte liegen?


#6

Kein Problem, danke für die tolle Software und den Support!
Vom alten PP “portfolio”-Verzeichnis habe ich mir eine Kopie aufgehoben. Vom alten Java ist nichts mehr übrig.


#7

Hallo!

Ich bin hier auch durch Google gelandet. PP starte erst, meldete dann aber ein verfügbares Update. Nach dem Update konnte das Programm mit o.g. Fehlermeldung nicht mehr starten. Die .exe läuft nicht mehr als Prozess im Hintergrund und auch ein starten als Administrator hat nicht geholfen. :confused:


#8

Mmmhhhh :unamused: :thinking: Die Date von Michael war nicht wirklich aufschlussreich. Mir ist nicht klar was hier schief geht.

Einfach das “portfolio” Verzeichnis löschen (Deine XML Datei hast Du hoffentlich sowieso irgendwo anders unter “Meine Dokumente” gespeichert), PP noch mal runterladen und wieder auspacken.

Wenn das nicht hilft, auch das Verzeichnis $LOCALAPPDATA$/PortfolioPerformance/workspace löschen, wobei $LOCALAPPDATA$ überlicherweise nach C:\Users{username}\AppData\Local zeigt.


#9

Danke für die fixe Antwort. Ich habe den Fehler für mich “lösen” können:

Da ich noch Java32bit auf meinem Win10 64bit installiert hatte, habe ich Java 32bit runter, Java 64bit drauf, PP 32bit runter, PP 64bit drauf und die alte xml (die in der Dropbox liegt) gestartet. Lief ohne Probleme :slight_smile:

Danke für das tolle Tool!


#10

Hallo,
ich habe ein Problem beim update von neuen Versionen.
Wenn ich PP öffne geht die Version 27.x. auf, dann öffnet er kurz darauf ein Fenster mit neuen Updates. Diese installiert das Programm macht einen Neustart. Daraufhin öffnet sich PP in der aktuellen Version.
Wenn ich mich nun nächsten Tag am PC anmelde öffnet er wieder die Version 27.x.
Kann mir einer helfen?


#11

:unamused: :grimacing: Sehr komisch. Das “riecht” für mich nach Problemen mit den Rechten auf Verzeichnissen. Vielleicht ist PP als “Admin” installiert, wird aber als Deiner “User” ausgeführt. Das Eclipse Framework kann das Update auch in einen anderen Ordner (unter workspace) installieren - findet es da aber vielleicht nicht mehr.

Ich befürchte Du musst die aktuelle Version von PP noch mal als ZIP runterladen. (Deinen XML Datei sollte ja sowieso irgendwo unter “Meine Dokumente” liegen).


#12

Hallo zusammen,

bei mir erscheint ebenfalls folgende Meldung:
The PortfolioPerformance executable launcher was unable to locate its companion shared library.

Jedoch erscheint diese schon beim Versuch der ersten Installation unter WIN 10…habt ihr Tipps?

Grüße
Grobi